Summary:	The utilities to create reiserfs volumes
Name:		reiserfsprogs
Version:	3.6.19
Epoch:		1
Release:	%manbo_mkrel 8
License:	GPLv2-like
Group:		System/Kernel and hardware
Url:		http://www.namesys.com/
Source0:	ftp://ftp.namesys.com/pub/reiserfsprogs/%{name}-%{version}.tar.bz2
Patch1:		reiserfsprogs-3.6.2-make-the-force-option-works-in-resize_reiserfs.patch
# From Ubuntu: avoid use of unaligned.h, which does not exist any more
Patch2:		reiserfsprogs-3.6.19-unaligned.patch
Patch3:		reiserfsprogs-3.6.19-uuid.patch
BuildRequires:	libext2fs-devel
Obsoletes:	reiserfs-utils
Provides:	reiserfs-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains tools for reiserfs filesystems.
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms.

%prep
%setup -q
%patch1 -p0 -b .make-the-force-option-works-in-resize_reiserfs
%patch2 -p1 -b .unaligned
%patch3 -p1 -b .uuid

%build
%configure2_5x

%make OPTFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_mandir}/man8

%makeinstall_std

mv %{buildroot}/{usr/,}sbin
ln -s mkreiserfs %{buildroot}/sbin/mkfs.reiserfs
ln -s reiserfsck %{buildroot}/sbin/fsck.reiserfs
ln -s mkreiserfs.8 %{buildroot}%{_mandir}/man8/mkfs.reiserfs.8
ln -s reiserfsck.8 %{buildroot}%{_mandir}/man8/fsck.reiserfs.8

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) /sbin/*
%{_mandir}/*/*



%changelog
* Wed Feb 25 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:3.6.19-8mnb2
+ Revision: 344657
- rebuild for new libreadline

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.org> 1:3.6.19-7mnb2
+ Revision: 317575
- rediffed one fuzzy patch

* Tue Aug 05 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.6.19-6mnb2
+ Revision: 263691
- rebuild

* Tue Mar 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.6.19-5mnb1
+ Revision: 178449
- remove ads (pseudo-benchmark) from description
- actually describe it

* Tue Mar 04 2008 Makoto Dei <makoto@turbolinux.co.jp> 1:3.6.19-4mnb1
+ Revision: 178424
- accept UUID=.... as the device name (#37156)

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.6.19-3mnb1
+ Revision: 170656
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 15 2007 Adam Williamson <awilliamson@mandriva.org> 1:3.6.19-3mdv2008.0
+ Revision: 63595
- buildrequires libext2fs-devel to fix #30816 (no uuid generation support)
- prune description to avoid excessive project advocacy
- use Fedora license policy (GPLv2-like because of an added clause)
- add patch2 from Ubuntu to avoid use of unaligned.h (no longer exists)


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.6.19-2mdv2007.0
+ Revision: 119999
- spec file clean
- bunzip patches

  + Emmanuel Andry <eandry@mandriva.org>
    - Import reiserfsprogs

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.6.19-1mdk
- 3.6.19

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.6.17-1mdk
- 3.6.17

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.6.14-1mdk
- 3.6.14
- spec cosmetics

